Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.UInt32Array Class Reference

An array of unsigned integer values. More...

Inheritance diagram for FoxitPDFSDKPython3.UInt32Array:

## Public Member Functions
def | Add (newElement)
| Add an element at the tail. Potentially growing the array. More...
def | Find (data, iStart)
| Find an element from specified position to last. More...
def | GetAt (nIndex)
| This method retrieves an element specified by an index number. More...
def | GetSize ()
| Get the number of elements in the array. More...
def | GetUpperBound ()
| Get the upper bound in the array, actually the maximum valid index. More...
def | RemoveAll ()
| Clean up the array. More...
def | RemoveAt (nIndex, nCount)
| Remove a number of elements at specified position. More...
def | SetAt (nIndex, newElement)
| This method overwrites an element specified by an index number. More...
def | SetAtGrow (nIndex, newElement)
| Set an element value at specified position. Potentially growing the array. More...
def | SetSize (nNewSize, nGrowBy)
| Change the allocated size and the grow amount. More...

## Detailed Description

An array of unsigned integer values.

## Member Function Documentation

## ◆ Add()

def FoxitPDFSDKPython3.UInt32Array.Add | ( |  | newElement | ) |

Add an element at the tail. Potentially growing the array.

Parameters

  [in] | newElement | The input element.

Returns
  true means success, while false means failure (such as memory error).

## ◆ Find()

def FoxitPDFSDKPython3.UInt32Array.Find | ( |  | data,
|  |  | iStart
| ) |  |

Find an element from specified position to last.

Parameters

  [in] | data | The input element.
  [in] | iStart | Specifies the zero-based index of start element to find.

Returns
  An index of the found element. -1 means found none.

## ◆ GetAt()

def FoxitPDFSDKPython3.UInt32Array.GetAt | ( |  | nIndex | ) |

This method retrieves an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.

Returns
  An element.

## ◆ GetSize()

def FoxitPDFSDKPython3.UInt32Array.GetSize | ( |  | ) |

Get the number of elements in the array.

Returns
  The number of elements in the array.

## ◆ GetUpperBound()

def FoxitPDFSDKPython3.UInt32Array.GetUpperBound | ( |  | ) |

Get the upper bound in the array, actually the maximum valid index.

Returns
  The upper bound.

## ◆ RemoveAll()

def FoxitPDFSDKPython3.UInt32Array.RemoveAll | ( |  | ) |

Clean up the array.

Returns
  None.

## ◆ RemoveAt()

def FoxitPDFSDKPython3.UInt32Array.RemoveAt | ( |  | nIndex,
|  |  | nCount
| ) |  |

Remove a number of elements at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | nCount | Specifies the count of element to remove.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ SetAt()

def FoxitPDFSDKPython3.UInt32Array.SetAt | ( |  | nIndex,
|  |  | newElement
| ) |  |

This method overwrites an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.
  [in] | newElement | An element.

Returns
  true means success, while false means failure.

## ◆ SetAtGrow()

def FoxitPDFSDKPython3.UInt32Array.SetAtGrow | ( |  | nIndex,
|  |  | newElement
| ) |  |

Set an element value at specified position. Potentially growing the array.

Parameters

  [in] | nIndex | Specifies the zero-based index of element in the array.
  [in] | newElement | The input element.

Returns
  true means success, while false means failure.

## ◆ SetSize()

def FoxitPDFSDKPython3.UInt32Array.SetSize | ( |  | nNewSize,
|  |  | nGrowBy
| ) |  |

Change the allocated size and the grow amount.

Parameters

  [in] | nNewSize | The new size in elements expected.
  [in] | nGrowBy | The grow amount in elements expected. This can be -1 for the grow amount unchanged.

Returns
  true means success, while false means failure (such as parameter or memory error).